%global	module	anfft

Summary:	ANFFT is an FFT package for Python, based on FFTW
Name:		python-%{module}
Version:	0.1
Release:	1%{?dist}
Source0:	http://anfft.googlecode.com/files/%{module}-%{version}.tar.gz
License:	GPLv3
Group:		Development/Languages
URL:		http://anfft.googlecode.com/

Requires:	numpy fftw
BuildRequires:	numpy fftw-devel python-devel
BuildRequires:	python-devel
BuildArch:	noarch


%description
ANFFT is intended to be used in situations where large numbers
of expensive FFTs must be performed, and for which the speed 
of the built-in NumPy or SciPy functions has been found insufficient.

By default, ANFFT provides immediate results by using FFTW's 
"estimate" mode, which does not require tuning and is still very fast. 
However, each high-level function provides a keyword named "measure" 
which will invoke the full FFTW planning machinery. 
FFTW will investigate which implementations are fastest on your 
hardware for the given problem size, and ANFFT will transparently 
cache this information to speed up later transforms on arrays of 
the same size and type. Accummulated FFTW "wisdom" about which 
methods work best is stored across Python sessions in a dotfile.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build 

%check
libdir=`ls build/|grep lib`
export PYTHONPATH=`pwd`/build/$libdir
echo "import anfft; anfft.test()" > test.py
python test.py

%install
rm -rf %{buildroot}

python setup.py install -O1 --skip-build  --root=%{buildroot}

%files
%doc COPYING.txt README.txt
%{python_sitelib}/anfft/
%{python_sitelib}/anfft-%{version}-py*.egg-info

%changelog
* Sun Jan 8 2012  Thibault North <tnorth@fedoraproject.org> - 0.1-1
- Initial import